module FeedBo
  module Drawable
    
    include Draper::ViewHelpers

    attr_accessor :svg, :position, :start_position
  
    def initialize
      super
      @svg = ::Builder::XmlMarkup.new
      @position = [(Level::WIDTH/2).round, (Level::HEIGHT/2).round]
    end
  
    def draw
      s = Level::FIELD_SIZE
      @svg.circle cx: s/2, cy: s/2, r: s/2, style: 'stroke: black; fill: black'
    end
  
    def perform_step
    end
  
  end
end